﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;

namespace MyClock
{
    class Config
    {
        public void SetConfig()
        {
            //GetFormPos(); //DoubleClickイベントハンドラで、時計フォームの位置を取得しておく
            Properties.Settings.Default.alarm_Time = Display.m_Alarm;   // アラーム設定時刻
            Properties.Settings.Default.alarm_Canceled = Display.m_cancelAlarm; // アラーム解除設定
            Properties.Settings.Default.main_left = Display.m_main_pos.X;   // 時計の位置-左
            Properties.Settings.Default.main_top = Display.m_main_pos.Y;/// 時計の位置-上
            Properties.Settings.Default.main_size_normal = Display.m_size_normal;   // 時計のサイズ
            Properties.Settings.Default.main_norm_norm = Display.m_Norm_alarm;   //前面表示⇒前面アラーム
            Properties.Settings.Default.main_icon_norm = Display.m_Icon_alarm;   //アイコン⇒前面アラーム
            Properties.Settings.Default.show_about = Display.m_show_about;  //起動時メッセージ
            Properties.Settings.Default.Save();
        }

        public void GetConfig()
        {
            Display.m_Alarm = Properties.Settings.Default.alarm_Time;   // アラーム設定時刻
            Display.m_cancelAlarm = Properties.Settings.Default.alarm_Canceled; //アラーム解除設定
            int left = Properties.Settings.Default.main_left;    //時計表示位置-左
            int top = Properties.Settings.Default.main_top;  //時計表示位置-上
            Display.m_main_pos = new Point(left, top);  //<Ver 1.16.2>Pointクラス変数使用
            Display.m_size_normal = Properties.Settings.Default.main_size_normal;   //時計サイズ
            Display.m_Norm_alarm = Properties.Settings.Default.main_norm_norm;   //前面表示⇒前面アラーム
            Display.m_Icon_alarm = Properties.Settings.Default.main_icon_norm;   //アイコン⇒前面アラーム
            Display.m_show_about = Properties.Settings.Default.show_about;  //起動時メッセージ
        }
    }
}
